ALAS-2015-519


Amazon Linux AMI Security Advisory: ALAS-2015-519
Advisory Release Date: 2015-05-05 16:15 Pacific
Severity: Medium

Issue Overview:

A buffer over-read flaw was found in the way the X.Org server handled XkbGetGeometry requests. A malicious, authorized client could use this flaw to disclose portions of the X.Org server memory, or cause the X.Org server to crash using a specially crafted XkbGetGeometry request. (CVE-2015-0255 )


Affected Packages:

xorg-x11-server


Issue Correction:
Run yum update xorg-x11-server to update your system.

New Packages:
i686:
    xorg-x11-server-Xnest-1.15.0-26.41.amzn1.i686
    xorg-x11-server-Xorg-1.15.0-26.41.amzn1.i686
    xorg-x11-server-devel-1.15.0-26.41.amzn1.i686
    xorg-x11-server-Xephyr-1.15.0-26.41.amzn1.i686
    xorg-x11-server-Xvfb-1.15.0-26.41.amzn1.i686
    xorg-x11-server-Xdmx-1.15.0-26.41.amzn1.i686
    xorg-x11-server-common-1.15.0-26.41.amzn1.i686
    xorg-x11-server-debuginfo-1.15.0-26.41.amzn1.i686

noarch:
    xorg-x11-server-source-1.15.0-26.41.amzn1.noarch

src:
    xorg-x11-server-1.15.0-26.41.amzn1.src

x86_64:
    xorg-x11-server-Xorg-1.15.0-26.41.amzn1.x86_64
    xorg-x11-server-Xvfb-1.15.0-26.41.amzn1.x86_64
    xorg-x11-server-Xdmx-1.15.0-26.41.amzn1.x86_64
    xorg-x11-server-debuginfo-1.15.0-26.41.amzn1.x86_64
    xorg-x11-server-devel-1.15.0-26.41.amzn1.x86_64
    xorg-x11-server-Xephyr-1.15.0-26.41.amzn1.x86_64
    xorg-x11-server-common-1.15.0-26.41.amzn1.x86_64
    xorg-x11-server-Xnest-1.15.0-26.41.amzn1.x86_64